Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class XWorkTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.opensymphony.xwork2.XWorkTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class XWorkTestCase

extends junit.framework.TestCase

Base JUnit TestCase to extend for XWork specific JUnit tests. Uses the generic test setup for logic.

Author:
  plightbo

Field Summary
`protected ActionProxyFactory` | `actionProxyFactory`
`protected Configuration` | `configuration`
`protected ConfigurationManager` | `configurationManager`
`protected Container` | `container`

Constructor Summary
`XWorkTestCase()`

Method Summary
`protected void` | `loadButAdd(java.lang.Class<?> type, java.lang.Object impl)`
`protected void` | `loadButAdd(java.lang.Class<?> type, java.lang.String name, java.lang.Object impl)`
`protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
`protected void` | `setUp()`
`protected void` | `tearDown()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### configurationManager

    protected ConfigurationManager configurationManager

### configuration

    protected Configuration configuration

### container

    protected Container container

### actionProxyFactory

    protected ActionProxyFactory actionProxyFactory

Constructor Detail

### XWorkTestCase

    public XWorkTestCase()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### loadConfigurationProviders

    protected void loadConfigurationProviders(ConfigurationProvider... providers)

### loadButAdd

    protected void loadButAdd(java.lang.Class<?> type,
                              java.lang.Object impl)

### loadButAdd

    protected void loadButAdd(java.lang.Class<?> type,
                              java.lang.String name,
                              java.lang.Object impl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.